Page MenuHomePhabricator

Publish some Phabricator (and/or Gerrit) end-of-year stats for 2019 to wikitech-l@
Closed, ResolvedPublic

Description

We lost this in 2014 when moving from Bugzilla to Phabricator, plus this functionality is currently not available in wikimedia.biterg.io because T161926 and T161928 so would be custom SQL I guess...

2018-12-31T235959UTC = 1546300799
2020-01-01T000000UTC = 1577836800

Phabricator:

  • How many tasks got created?
    • SELECT COUNT(tsk.dateCreated) FROM phabricator_maniphest.maniphest_task tsk WHERE tsk.dateCreated > 1546300799 AND tsk.dateCreated < 1577836800;
  • How many tasks got closed?
    • SELECT COUNT(tsk.closedEpoch) FROM phabricator_maniphest.maniphest_task tsk WHERE tsk.closedEpoch > 1546300799 AND tsk.closedEpoch < 1577836800;
  • How many people were active in Phabricator?
    • SELECT COUNT(DISTINCT (tsk.authorPHID)) FROM maniphest_transaction tsk WHERE tsk.dateCreated > 1546300799 AND tsk.dateCreated < 1577836800;
  • How many people created tasks?
    • SELECT COUNT(DISTINCT (tsk.authorPHID)) FROM phabricator_maniphest.maniphest_task tsk WHERE tsk.dateCreated > 1546300799 AND tsk.dateCreated < 1577836800;
  • Who created the most tasks?
    • SELECT usr.username, COUNT(usr.username) AS created FROM phabricator_user.user usr JOIN phabricator_maniphest.maniphest_task tsk WHERE tsk.authorPHID = usr.phid AND tsk.dateCreated > 1546300799 AND tsk.dateCreated < 1577836800 GROUP BY usr.username ORDER BY created DESC LIMIT 20;
  • How many people closed tasks?
    • SELECT COUNT(DISTINCT (tsk.closerPHID)) FROM phabricator_maniphest.maniphest_task tsk WHERE tsk.closedEpoch > 1546300799 AND tsk.closedEpoch < 1577836800;
  • Who closed the most tasks?
    • SELECT usr.username, COUNT(usr.username) AS closed FROM phabricator_user.user usr JOIN phabricator_maniphest.maniphest_task tsk WHERE tsk.closerPHID = usr.phid AND tsk.closedEpoch > 1546300799 AND tsk.closedEpoch < 1577836800 GROUP BY usr.username ORDER BY closed DESC LIMIT 20;

Gerrit:

*drumroll* Share on wikitech-l@.

Details

Due Date
Jan 9 2020, 11:00 PM

Event Timeline

Aklapper created this task.

Top 20 task creators in last month:
SELECT usr.username, COUNT(usr.username) AS created FROM phabricator_user.user usr JOIN phabricator_maniphest.maniphest_task tsk WHERE tsk.authorPHID = usr.phid AND FROM_UNIXTIME(tsk.dateCreated,'%Y%m')>=date_format(NOW() - INTERVAL 1 MONTH,'%Y%m') GROUP BY usr.username ORDER BY created DESC LIMIT 20;

Usernames of those 20 users who closed the most tasks in the last month:
SELECT usr.username, COUNT(usr.username) AS closed FROM phabricator_user.user usr JOIN phabricator_maniphest.maniphest_task tsk WHERE tsk.closerPHID = usr.phid AND FROM_UNIXTIME(tsk.closedEpoch,'%Y%m')>=date_format(NOW() - INTERVAL 1 MONTH,'%Y%m') GROUP BY usr.username ORDER BY closed DESC LIMIT 20;

Top 20 task commenters in last month (but probably too expensive to run):
SELECT usr.username, COUNT(usr.username) AS comments FROM phabricator_user.user usr INNER JOIN phabricator_maniphest.maniphest_transaction trs WHERE usr.phid = trs.authorPHID AND trs.transactionType = "core:comment" AND FROM_UNIXTIME(trs.dateCreated) >= (NOW() - INTERVAL 1 MONTH) GROUP BY usr.username ORDER BY comments DESC LIMIT 20;

Aklapper renamed this task from Phabricator (and/or Gerrit) end-of-year stats 2019 to Publish some Phabricator (and/or Gerrit) end-of-year stats for 2019 to wikitech-l@.Dec 12 2019, 5:01 PM
Aklapper changed the task status from Open to Stalled.Dec 13 2019, 12:57 PM
Aklapper updated the task description. (Show Details)
Aklapper set Due Date to Jan 9 2020, 11:00 PM.